Update Virtual Account

Use this API to update the details of a virtual account.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The Update Virtual Account API lets you:

  • Create additional VPA handles for an account.
  • Update verified remitters and verified beneficiaries linked to an account.
  • Update the email address linked to a virtual account.

Create Additional VPA Handles

To create additional VPA handles, pass true against the create_vpa parameter in the request body.

When you do this, we autogenerate an additional VPA for the account.

📘

Note

  • You can create a maximum of 3 additional VPA handles for an account.
  • You cannot deactivate individual VPA handles. To deactivate a VPA handle, deactivate the account. This deactivates all VPA handles linked to the account.

Update Verified Remitters

First, to update verified remitters, please utilize our Verification Suite APIs. These APIs help to confirm your bank account details and verify your name.

Use the following API to verify your bank account details and verify your name:

  1. Bank Account Verification API.
  2. PAN Verification API.
  3. Name Verification - PAN vs Account Verification API.

📘

Note:

Virtual Accounts without verified remitters linked to their accounts can only update verified remitters.

Update Verified Beneficiaries

First, to update verified beneficiaries, please utilize our Verification Suite APIs. These APIs help to confirm your bank account details and verify your name.

Use the following API to verify your bank account details and verify your name:

  1. Bank Account Verification API.
  2. PAN Verification API.
  3. Name Verification - PAN vs Account Verification API.

📘

Note:

Virtual Accounts without linked verified beneficiaries can only update the verified beneficiaries.

Update Email Address

To update the email address linked to an account, pass the new email address against the email parameter.

Path Params
string
required

Unique identifier of the account that should be updated.

Example: va_onMda9dobg5YYX0kHLoaMecpy

Body Params
string

Account holder's email address.

Example: [email protected]

boolean
Defaults to false

Only for Yes Bank virtual accounts.

Accepted value:

  • true: Generates an additional VPA handle.

string

On-demand feature for Yes Bank.

create_vpa parameter must be true.

Custom VPA handle that you want to assign to the virtual account wallet.

Contact our Integrations Team for more details.

kyc
object

Mandatory if create_vpa is true.

JSON object to pass the account holder's KYC details.

verified_remitters
array of objects

An array of objects that contains the list of the remitter's bank account verification ID and name verification ID.

verified_remitters
verified_beneficiaries
array of objects

An array of objects that contains the list of the beneficiary's bank account verification ID and name verification ID.

verified_beneficiaries
metadata
object

Key-value pair that can be used to store additional information about the entity.

  • Each pair cannot exceed 256 characters.
  • Maximum 5 key-value pairs.
Example: "key_1": "DD”

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json